Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Message Class Reference

`#include <gtest-message.h>`

## Public Member Functions
| Message ()
| Message (const Message &msg)
| Message (const char *str)
template<typename T >
Message & | operator<< (const T &val)
template<typename T >
Message & | operator<< (T *const &pointer)
Message & | operator<< (BasicNarrowIoManip val)
Message & | operator<< (bool b)
Message & | operator<< (const wchar_t *wide_c_str)
Message & | operator<< (wchar_t *wide_c_str)
internal::String | GetString () const
| Message ()
| Message (const Message &msg)
| Message (const char *str)
template<typename T >
Message & | operator<< (const T &val)
template<typename T >
Message & | operator<< (T *const &pointer)
Message & | operator<< (BasicNarrowIoManip val)
Message & | operator<< (bool b)
Message & | operator<< (const wchar_t *wide_c_str)
Message & | operator<< (wchar_t *wide_c_str)
Message & | operator<< (const ::std::wstring &wstr)
internal::String | GetString () const
| Message ()
| Message (const Message &msg)
| Message (const char *str)
template<typename T >
Message & | operator<< (const T &val)
template<typename T >
Message & | operator<< (T *const &pointer)
Message & | operator<< (BasicNarrowIoManip val)
Message & | operator<< (bool b)
Message & | operator<< (const wchar_t *wide_c_str)
Message & | operator<< (wchar_t *wide_c_str)
internal::String | GetString () const

## Constructor & Destructor Documentation

Message | ( |  | ) |
| inline

Message | ( | const Message & | msg | ) |
| inline

Message | ( | const char * | str | ) |
| inline explicit

Message | ( |  | ) |
| inline

Message | ( | const Message & | msg | ) |
| inline

Message | ( | const char * | str | ) |
| inline explicit

Message | ( |  | ) |
| inline

Message | ( | const Message & | msg | ) |
| inline

Message | ( | const char * | str | ) |
| inline explicit

## Member Function Documentation

internal::String GetString | ( |  | ) | const
| inline

internal::String GetString | ( |  | ) | const
| inline

internal::String GetString | ( |  | ) | const
| inline

Message& operator<< | ( | const T & | val | ) |
| inline

Message& operator<< | ( | const T & | val | ) |
| inline

Message& operator<< | ( | T *const & | pointer | ) |
| inline

Message& operator<< | ( | T *const & | pointer | ) |
| inline

Message& operator<< | ( | BasicNarrowIoManip | val | ) |
| inline

Message& operator<< | ( | BasicNarrowIoManip | val | ) |
| inline

Message& operator<< | ( | bool | b | ) |
| inline

Message& operator<< | ( | bool | b | ) |
| inline

Message& operator<< | ( | const wchar_t * | wide_c_str | ) |
| inline

Message& operator<< | ( | const wchar_t * | wide_c_str | ) |
| inline

Message& operator<< | ( | wchar_t * | wide_c_str | ) |
| inline

Message& operator<< | ( | wchar_t * | wide_c_str | ) |
| inline

Message& operator<< | ( | const T & | val | ) |
| inline

Message& operator<< | ( | T *const & | pointer | ) |
| inline

Message& operator<< | ( | BasicNarrowIoManip | val | ) |
| inline

Message& operator<< | ( | bool | b | ) |
| inline

Message& operator<< | ( | const wchar_t * | wide_c_str | ) |
| inline

Message& operator<< | ( | wchar_t * | wide_c_str | ) |
| inline

Message& operator<< | ( | const ::std::wstring & | wstr | ) |

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest-message.h
- testing/googleTest/fused-src/gtest/gtest.h